Bug 228923 - Module loading penalty reduction
Summary: Module loading penalty reduction
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Warner Losh
URL:
Keywords:
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-06-12 09:02 UTC by Rodney W. Grimes
Modified: 2018-09-24 19:16 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodney W. Grimes freebsd_committer 2018-06-12 09:02:59 UTC
Module loading penalty reduction
Comment 1 Conrad Meyer freebsd_committer 2018-06-12 17:43:53 UTC
What are the specific ideas in mind here?  Thanks.
Comment 2 Warner Losh freebsd_committer 2018-06-12 17:51:58 UTC
We need to do the following the same as for the kernel:
o Locking inlining
o atomic inlining
Comment 3 Conrad Meyer freebsd_committer 2018-08-02 01:34:34 UTC
Addressed in r335873 and r335879?
Comment 4 Matt Macy freebsd_committer 2018-09-24 19:16:27 UTC
fixed by r335916